<?php

/**
 * @brief Classe DAO relatif à la classe question
 */
class question_dao extends dao
    {
    
    /**
     * @brief Retourne un tableau contenant les informations de l'occurence ayant l'ID spécifié
     * @arg $id identifiant de l'occurence à retourner
     * @return tableau de données ou FALSE
     */
    public function select($id)
        {
        //Mise en place de la requête SQL
        $query = "SELECT * FROM `question` WHERE `id`='$id'";

        //On récupère les données
        $return = $this->db->query($query)->fetch();

        //On retourne les données
        return $return;
        }

    public function selectByGroup($id_group)
        {
        //Mise en place de la requête SQL
        $query = "SELECT * FROM `question` WHERE `group_id`='$id_group' ORDER BY RAND()";

        //On récupère les données
        $return = $this->db->query($query)->fetchAll();

        //On retourne les données
        return $return;
        }

    /**
     * @brief Fonction obsolète
     * @note il est impossible d'ajouter des question via le site. Seule l'application JAVA y sera autorisée
     */
    public function insert(&$objet)
        {
        //On ne fait rien
        }

    /**
     * @brief Fonction obsolète
     * @note il est impossible de mettre à jour une question via le site. L'application JAVA pourra le faire
     */
    public function update(&$objet)
        {
        //On ne fait rien
        }

    /**
     * @brief Fonction obsolète
     * @note il est impossible de supprimer une question via la site. Seule l'application JAVA sera autorisée à le faire
     */

    public function delete($id)
        {
        //On ne fait rien
        }

    }

?>